- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::log::LogStream Class Reference

`#include <log.hxx>`

## Public Member Functions
| LogStream (const qi::LogLevel level, const char *file, const char *function, const int line, const char *category)
| LogStream (const qi::LogLevel level, const char *file, const char *function, const int line, CategoryType category)
| LogStream (const qi::LogLevel level, const char *file, const char *function, const int line, const char *category, const std::string &message)
| ~LogStream ()
LogStream & | self ()

## Detailed Description

Definition at line 225 of file log.hxx.

## Constructor & Destructor Documentation

qi::log::LogStream::LogStream | ( | const qi::LogLevel | level,
|  | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | const char * | category
| ) |  |
| inline

Definition at line 228 of file log.hxx.

qi::log::LogStream::LogStream | ( | const qi::LogLevel | level,
|  | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | CategoryType | category
| ) |  |
| inline

Definition at line 241 of file log.hxx.

qi::log::LogStream::LogStream | ( | const qi::LogLevel | level,
|  | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | const char * | category,
|  | const std::string & | message
| ) |  |
| inline

Definition at line 254 of file log.hxx.

qi::log::LogStream::~LogStream | ( |  | ) |
| inline

Definition at line 270 of file log.hxx.

## Member Function Documentation

LogStream& qi::log::LogStream::self | ( |  | ) |
| inline

Definition at line 278 of file log.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/log.hxx